
package de.codedo.conflicteditor.matchers;

import org.hamcrest.Factory;
import org.hamcrest.Matcher;
import org.hamcrest.core.IsEqual;

public class ObjectEqualityMatcher extends IsEqual<Object>
{
    public ObjectEqualityMatcher(Object equalArg)
    {
        super(equalArg);
    }

    @Factory
    public static Matcher<Object> isEqualTo(Object operand)
    {
        return new ObjectEqualityMatcher(operand);
    }
}
